Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.components
Class Text

    java.lang.Object
      org.apache.struts2.components.Component
          org.apache.struts2.components.ContextBean
              org.apache.struts2.components.Text

All Implemented Interfaces:
  Param.UnnamedParametric

    public class Text

extends ContextBean
implements Param.UnnamedParametric

Render a I18n text message.

The message must be in a resource bundle with the same name as the action that it is associated with. In practice this means that you should create a properties file in the same package as your Java class with the same name as your class, but with .properties extension.

If the named message is not found in a property file, then the body of the tag will be used as default message. If no body is used, then the stack will be searched, and if a value is returned, it will written to the output. If no value is found on the stack, the key of the message will be written out.

- name* (String) - the i18n message key

Example:

     Accessing messages from a given bundle (the i18n Shop example bundle in the first example) and using bundle defined through the framework in the second example.

     <!-- First Example -->
     <s:i18n name="struts.action.test.i18n.Shop">
         <s:text name="main.title"/>
     </s:i18n>

     <!-- Second Example -->
     <s:text name="main.title" />

     <!-- Third Examlpe -->
     <s:text name="i18n.label.greetings">
        <s:param >Mr Smith</s:param>
     </s:text>

     <-- Fourth Example -->
     <s:text name="some.key" />

     <-- Fifth Example -->
     <s:text name="some.invalid.key" >
        The Default Message That Will Be Displayed
     </s:text>

See Also:
  `Param`

Field Summary
`protected String` | `actualName`
`protected String` | `name`
`protected String` | `searchStack`
`protected List` | `values`

Fields inherited from class org.apache.struts2.components.ContextBean
`var`

Fields inherited from class org.apache.struts2.components.Component
`actionMapper, COMPONENT_STACK, devMode, parameters, stack, standardAttributesMap, throwExceptionOnELFailure`

Constructor Summary
`Text(ValueStack stack)`

Method Summary
`void` | `addParameter(Object value)` Adds the given value as a parameter to the outer tag.
`void` | `addParameter(String key, Object value)` Adds the given key and value to this component's own parameter.
`boolean` | `end(Writer writer, String body)` Callback for the end tag of this component.
`void` | `setName(String name)`
`void` | `setSearchValueStack(String searchStack)`
`boolean` | `usesBody()` Overwrite to set if body should be used.

Methods inherited from class org.apache.struts2.components.ContextBean
`getVar, putInContext, setId, setVar`

Methods inherited from class org.apache.struts2.components.Component
`addAllParameters, altSyntax, completeExpressionIfAltSyntax, copyParams, determineActionURL, determineNamespace, end, fieldError, findAncestor, findString, findString, findStringIfAltSyntax, findValue, findValue, findValue, getComponentStack, getParameters, getStack, getStandardAttributes, isValidTagAttribute, popComponentStack, setActionMapper, setDevMode, setThrowExceptionsOnELFailure, setUrlHelper, start, stripExpressionIfAltSyntax, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### values

    protected List values

### actualName

    protected String actualName

### name

    protected String name

### searchStack

    protected String searchStack

Constructor Detail

### Text

    public Text(ValueStack stack)

Method Detail

### setName

    public void setName(String name)

### setSearchValueStack

    public void setSearchValueStack(String searchStack)

### usesBody

    public boolean usesBody()

  Description copied from class: `Component`
  Overwrite to set if body should be used.

  Overrides:
    `usesBody` in class `Component`
  Returns:
    always false for this component.

### end

    public boolean end(Writer writer,
                       String body)

  Description copied from class: `Component`
  Callback for the end tag of this component. Should the body be evaluated again?

  NOTE: will pop component stack.

  Overrides:
    `end` in class `Component`
  Parameters:
    `writer` - the output writer.
    `body` - the rendered body.
  Returns:
    true if the body should be evaluated again

### addParameter

    public void addParameter(String key,
                             Object value)

  Description copied from class: `Component`
  Adds the given key and value to this component's own parameter.

  If the provided key is `null` nothing happens. If the provided value is `null` any existing parameter with the given key name is removed.

  Overrides:
    `addParameter` in class `Component`
  Parameters:
    `key` - the key of the new parameter to add.
    `value` - the value assoicated with the key.

### addParameter

    public void addParameter(Object value)

  Description copied from interface: `Param.UnnamedParametric`
  Adds the given value as a parameter to the outer tag.

  Specified by:
    `addParameter` in interface `Param.UnnamedParametric`
  Parameters:
    `value` - the value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.